---

 - name: TheRaven package
   become: yes
   register: theravenpkg
   package:
     name: TheRaven
     state: present

 - name: TheRaven config directory
   become: yes
   file:
     path: /usr/local/etc/TheRaven
     owner: raven
     group: raven
     mode: 0750
     state: directory

 - name: TheRaven config
   become: yes
   register: theravenconfig
   template:
     src: raven.conf.j2
     dest: /usr/local/etc/TheRaven/raven.conf
     owner: raven
     group: raven
     mode: 0640

 - name: TheRaven service
   when: theravenpkg.changed or theravenconfig.changed
   become: yes
   service:
     name: raven.service
     state: restarted
     enabled: yes
